## org.biojava.utils
Class Services

    java.lang.Object
      org.biojava.utils.Services

public class Services
extends java.lang.Object

Utility methods for handling META-INF/services files

Since:
  1.3
Author:
  Thomas Down, Matthew Pocock

Constructor Summary
`Services()`

Method Summary
`static java.util.Set` `getImplementationNames(java.lang.Class serviceIF)` Return a Set of names of implementations of the given service interface in the classloader from which BioJava was loaded.
`static java.util.Set` `getImplementationNames(java.lang.Class serviceIF, java.lang.ClassLoader loader)` Return a List of names of implementations of the given service interface available in a given classloader.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Services

    public Services()

Method Detail

### getImplementationNames

    public static java.util.Set getImplementationNames(java.lang.Class serviceIF)
                                                throws java.io.IOException

  Return a Set of names of implementations of the given service interface in the classloader from which BioJava was loaded.

  Throws:
    `java.io.IOException`

### getImplementationNames

    public static java.util.Set getImplementationNames(java.lang.Class serviceIF,
                                                       java.lang.ClassLoader loader)
                                                throws java.io.IOException

  Return a List of names of implementations of the given service interface available in a given classloader.

  Throws:
    `java.io.IOException`